<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* module-form-expiry.twig */
class __TwigTemplate_cece18637b0b3d2590b07b9db048236f7c8fd5d6b6f0eb816b3176a78668b975 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 21
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 22
        $context["forms"] = $this->loadTemplate("forms.twig", "module-form-expiry.twig", 22)->unwrap();
        // line 21
        $this->parent = $this->loadTemplate("form-base.twig", "module-form-expiry.twig", 21);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 24
    public function block_formTitle($context, array $blocks = [])
    {
        // line 25
        echo "    ";
        $context["name"] = $this->getAttribute(($context["module"] ?? null), "getName", [], "method");
        // line 26
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Expiry for %name%"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 29
    public function block_formButtons($context, array $blocks = [])
    {
        // line 30
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 31
        echo __("Save");
        echo ", \$(\"#widgetExpiryForm\").submit()
";
    }

    // line 34
    public function block_formHtml($context, array $blocks = [])
    {
        // line 35
        echo "
    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"widgetExpiryForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.expiry", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select the start time for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        echo $context["forms"]->getdateTime("fromDt", ($context["title"] ?? null), ($context["fromDt"] ?? null), ($context["helpText"] ?? null), "starttime-control");
        echo "

                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select the end time for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        echo $context["forms"]->getdateTime("toDt", ($context["title"] ?? null), ($context["toDt"] ?? null), ($context["helpText"] ?? null), "endtime-control");
        echo "

                ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Delete on Expiry?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo __("When the End Time for this Widget passes should the Widget be removed from the Playlist?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo $context["forms"]->getcheckbox("deleteOnExpiry", ($context["title"] ?? null), ($context["deleteOnExpiry"] ?? null), ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "module-form-expiry.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  120 => 49,  115 => 48,  111 => 47,  105 => 45,  100 => 44,  96 => 43,  90 => 41,  85 => 40,  81 => 39,  77 => 38,  72 => 35,  69 => 34,  63 => 31,  58 => 30,  55 => 29,  50 => 26,  47 => 25,  44 => 24,  39 => 21,  37 => 22,  31 => 21,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "module-form-expiry.twig", "/home/mgatv524/public_html/edurocha/views/module-form-expiry.twig");
    }
}
